/**************************************************************************
 * ANIMACION DE CARGA CON IMAGEN GIF- INICIO
 **************************************************************************/
/*
.modal-loading {
    display:    none;
    position:   fixed;
    z-index:    100000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .8 ) 
    url('../img/loading.gif')
    50% 50% 
    no-repeat;
}

body.loading {
    overflow: hidden;   
}

body.loading .modal-loading {
    display: block;
}
*/
/**************************************************************************
 * ANIMACION DE CARGA CON IMAGEN GIF - INICIO
 **************************************************************************/

/*========================================================================*/

/**************************************************************************
 * ANIMACION DE CARGA CON CCSS- INICIO
 **************************************************************************/
/**************************************************************************
 * VARIABLES PARA PERSONALIZAR LA ANIMACION DE CARGA - INICIO
 **************************************************************************/
:root {
    --size: 5;
    --thickness: 15;
    --color1: #cfefff; /*#2172b8;*/
    --color2: #9ed7ff; /*#18a39b;*/
    --color3: #45a2f7; /*#82c545;*/
    --color4: #1869c6; /*#f8b739;*/
    --color5: #f06045;
    --color6: #ed2861;
    --color7: #c12680;
    --color8: #5d3191;
}
/**************************************************************************
 * VARIABLES PARA PERSONALIZAR LA ANIMACION DE CARGA - FIN
 **************************************************************************/
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.modal-loading {
    display:    none;
    position:   fixed;
    z-index:    100000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .8 )
    50% 50%
    no-repeat;
}

body.loading {
    overflow: hidden;
}

body.loading .modal-loading {
    display: block;
}

div.spinner {
    -moz-animation: rotate 10s infinite linear;
    -webkit-animation: rotate 10s infinite linear;
    animation: rotate 10s infinite linear;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;

}
div.spinner i {
    -moz-animation: rotate 3s infinite cubic-bezier(0.09, 0.6, 0.8, 0.03);
    -webkit-animation: rotate 3s infinite cubic-bezier(0.09, 0.6, 0.8, 0.03);
    animation: rotate 3s infinite cubic-bezier(0.09, 0.6, 0.8, 0.03);
    -moz-transform-origin: 50% 100% 0;
    -webkit-transform-origin: 50% 100% 0;
    transform-origin: 50% 100% 0;
    position: absolute;
    display: inline-block;
    top: 50%;
    left: 50%;
    border: solid calc(var(--thickness) * 1px) transparent;
    border-bottom: none;
}
div.spinner i:nth-child(1) {
    -moz-animation-timing-function: cubic-bezier(0.09, 0.3, 0.12, 0.03);
    -webkit-animation-timing-function: cubic-bezier(0.09, 0.3, 0.12, 0.03);
    animation-timing-function: cubic-bezier(0.09, 0.3, 0.12, 0.03);
    width: calc(var(--size) * 44px);
    height: calc(var(--size) * 22px);
    margin-top: calc(var(--size) * -22px);
    margin-left: calc(var(--size) * -22px);
    border-color: var(--color1);
    border-top-left-radius: calc(var(--size) * 36px);
    border-top-right-radius: calc(var(--size) * 36px);
}
div.spinner i:nth-child(2) {
    -moz-animation-timing-function: cubic-bezier(0.09, 0.6, 0.24, 0.03);
    -webkit-animation-timing-function: cubic-bezier(0.09, 0.6, 0.24, 0.03);
    animation-timing-function: cubic-bezier(0.09, 0.6, 0.24, 0.03);
    width: calc(var(--size) * 58px);
    height: calc(var(--size) * 29px);
    margin-top: calc(var(--size) * -29px);
    margin-left: calc(var(--size) * -29px);
    border-color: var(--color2);
    border-top-left-radius: calc(var(--size) * 42px);
    border-top-right-radius: calc(var(--size) * 42px);
}
div.spinner i:nth-child(3) {
    -moz-animation-timing-function: cubic-bezier(0.09, 0.9, 0.36, 0.03);
    -webkit-animation-timing-function: cubic-bezier(0.09, 0.9, 0.36, 0.03);
    animation-timing-function: cubic-bezier(0.09, 0.9, 0.36, 0.03);
    width: calc(var(--size) * 72px);
    height: calc(var(--size) * 36px);
    margin-top: calc(var(--size) * -36px);
    margin-left: calc(var(--size) * -36px);
    border-color: var(--color3);
    border-top-left-radius: calc(var(--size) * 48px);
    border-top-right-radius: calc(var(--size) * 48px);
}
div.spinner i:nth-child(4) {
    -moz-animation-timing-function: cubic-bezier(0.09, 1.2, 0.48, 0.03);
    -webkit-animation-timing-function: cubic-bezier(0.09, 1.2, 0.48, 0.03);
    animation-timing-function: cubic-bezier(0.09, 1.2, 0.48, 0.03);
    width: calc(var(--size) * 86px);
    height: calc(var(--size) * 43px);
    margin-top: calc(var(--size) * -43px);
    margin-left: calc(var(--size) * -43px);
    border-color: var(--color4);
    border-top-left-radius: calc(var(--size) * 54px);
    border-top-right-radius: calc(var(--size) * 54px);
}
div.spinner i:nth-child(5) {
    -moz-animation-timing-function: cubic-bezier(0.09, 1.5, 0.6, 0.03);
    -webkit-animation-timing-function: cubic-bezier(0.09, 1.5, 0.6, 0.03);
    animation-timing-function: cubic-bezier(0.09, 1.5, 0.6, 0.03);
    width: calc(var(--size) * 100px);
    height: calc(var(--size) * 50px);
    margin-top: calc(var(--size) * -50px);
    margin-left: calc(var(--size) * -50px);
    border-color: var(--color5);
    border-top-left-radius: calc(var(--size) * 60px);
    border-top-right-radius: calc(var(--size) * 60px);
}
div.spinner i:nth-child(6) {
    -moz-animation-timing-function: cubic-bezier(0.09, 1.8, 0.72, 0.03);
    -webkit-animation-timing-function: cubic-bezier(0.09, 1.8, 0.72, 0.03);
    animation-timing-function: cubic-bezier(0.09, 1.8, 0.72, 0.03);
    width: calc(var(--size) * 114px);
    height: calc(var(--size) * 57px);
    margin-top: calc(var(--size) * -57px);
    margin-left: calc(var(--size) * -57px);
    border-color: var(--color6);
    border-top-left-radius: calc(var(--size) * 66px);
    border-top-right-radius: calc(var(--size) * 66px);
}
div.spinner i:nth-child(7) {
    -moz-animation-timing-function: cubic-bezier(0.09, 2.1, 0.84, 0.03);
    -webkit-animation-timing-function: cubic-bezier(0.09, 2.1, 0.84, 0.03);
    animation-timing-function: cubic-bezier(0.09, 2.1, 0.84, 0.03);
    width: calc(var(--size) * 128px);
    height: calc(var(--size) * 64px);
    margin-top: calc(var(--size) * -64px);
    margin-left: calc(var(--size) * -64px);
    border-color: var(--color7);
    border-top-left-radius: calc(var(--size) * 72px);
    border-top-right-radius: calc(var(--size) * 72px);
}
div.spinner i:nth-child(8) {
    -moz-animation-timing-function: cubic-bezier(0.09, 2.4, 0.96, 0.03);
    -webkit-animation-timing-function: cubic-bezier(0.09, 2.4, 0.96, 0.03);
    animation-timing-function: cubic-bezier(0.09, 2.4, 0.96, 0.03);
    width: calc(var(--size) * 142px);
    height: calc(var(--size) * 71px);
    margin-top: calc(var(--size) * -71px);
    margin-left: calc(var(--size) * -71px);
    border-color: var(--color8);
    border-top-left-radius: calc(var(--size) * 78px);
    border-top-right-radius: calc(var(--size) * 78px);
}

@-moz-keyframes rotate {
    to {
        -moz-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@-webkit-keyframes rotate {
    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
@keyframes rotate {
    to {
        -moz-transform: rotate(360deg);
        -ms-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
/**************************************************************************
 * ANIMACION DE CARGA CON CCSS- FIN
 **************************************************************************/